Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/ColorTableTSL.h File Reference

Declaration of class ColorTableTSL. More...

`#include "ColorTable.h"`
`#include "Tools/Streams/InOut.h"`
`#include "Tools/ColorClasses.h"`
`#include "ColorClassImage.h"`
`#include "Image.h"`
`#include "Modules/ImageProcessor/ImageProcessorTools/MSH2004ColorCorrector.h"`

Include dependency graph for ColorTableTSL.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ColorTableTSL
| Contains a ColorTableTSL which can decode the color for every 8 * 4 * 4 cube in the 255 * 255 * 255 YUV color space. More...
## Functions
In & | operator>> (In &stream, ColorTableTSL &colorTableTSL)
| Streaming operator that reads a ColorTableTSL from a stream.
Out & | operator<< (Out &stream, const ColorTableTSL &colorTableTSL)
| Streaming operator that writes a ColorTableTSL to a stream.

## Detailed Description

Declaration of class ColorTableTSL.

Author:
  André Osterhues

Definition in file ColorTableTSL.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | ColorTableTSL & | colorTableTSL
| ) |

  | Streaming operator that reads a ColorTableTSL from a stream. Parameters:
  stream | The stream from which is read.
  colorTableTSL | The ColorTableTSL object.
Returns: The stream. Definition at line 306 of file ColorTableTSL.cpp. References numOfColors, ColorTableTSL::reset(), ColorTableTSL::tsl_order, and ColorTableTSL::tsl_threshold.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const ColorTableTSL & | colorTableTSL
| ) |

  | Streaming operator that writes a ColorTableTSL to a stream. Parameters:
  stream | The stream to write on.
  colorTableTSL | The ColorTableTSL object.
Returns: The stream. Definition at line 279 of file ColorTableTSL.cpp. References numOfColors, ColorTableTSL::tsl_order, and ColorTableTSL::tsl_threshold.